function [P,N]=ortho_pol(n,class)

% die Grenzen des Integrals sind in boundary festgehalten
[a,b]=boundary(class);


% rekursive Bestimmung von P und N
if n==0 % Trivialfall
    P=1;
    N=[];
elseif n==1 % Trivialfall
    sc=scalar(1,1,class);
    r=-scalar(mult([0;1],1),1,class)/sc;
    P=[1,r;0,1];
    N=-r;
else
    % Ausfhren des "Vorgngers"
    [P,N]=ortho_pol(n-1,class);
    
    % Bestimmung der Koeffizienten Drei-Term-Rekursion
    sc=scalar(P(:,n),P(:,n),class);
    r=-scalar(mult([0;1],P(:,n)),P(:,n),class)/sc;
    s=-sc/scalar(P(:,n-1),P(:,n-1),class);
    
    % Drei-Term-Rekursion
    p=add(mult([r;1],P(:,n)),s*P(:,n-1));
    
    % Einbinden in die alte Matrix
    P=[[P;zeros(1,n)],p];
    
    % Berechnung der Nullstellen von P_n
    
    %  Suche nach einem geeigneten Randwert, falls a=-infinity
    if a==-inf
        a=N(1,n-1);
        mark=value_pol(p,a);
        k=1;
        while mark*value_pol(p,a)>0
            a=a-k;
            k=k*2;
        end
    end
    
    %  Suche nach einem geeigneten Randwert, falls b=infinity
    if b==inf
        b=N(n-1,n-1);
        mark=value_pol(p,b);
        k=1;
        while mark*value_pol(p,b)>0
            b=b+k;
            k=k*2;
        end
    end
    
    % Ausnutzen von: p_n trennt die Nullstellen von p_n+1
    nst_alt=[a;N(:,n-1);b];
    nst=zeros(n,1);
    for i=1:n
        func=@(x)value_pol(p,x);
        % Verwendung eines Nullstellenlsers
        [c,d]=mod_regula(func,nst_alt(i),nst_alt(i+1),10^-12,0.01);
        nst(i)=(c+d)/2;
    end
    
    % Einbinden der Matrix N
    N=[[N;zeros(1,n-1)],nst];
end